Subject: Re: bug#14564: A confusing problem about 'mv'

From: Pádraig Brady <[email-masked]>
Date: Fri, 07 Jun 2013 00:38:36 +0100

tag 14564 notabug
close 14564
stop

On 06/06/2013 07:52 AM, Je Li wrote:
> Today I just used a command as below:
> 
> $ mv win_* *
> 
> and got an unexpected result.
> 
> Of course I had some folders named with 'win_*' under current directory,
> such as 'win_core'. After the command is done, I can not find these folders
> anywhere in the file system.
> 
> It is a bit confusing, the destination does not seem valid apparently but
> the command is executed without any warnings, and unluckily, my files are
> gone.
> 
> My OS: Ubuntu 13.04

Unfortunately coreutils can't do anything here as the shell
is interpreting the command line and just passing the resultant
file list to mv.

Note the last param to mv is generally a single
directory and so '*' would be incorrect,
even if suitably quoted to avoid shell globbing.

thanks,
Pádraig.